package com.example.acapendulum20.canvas

import android.content.Context
import android.graphics.Canvas
import android.graphics.Paint
import android.util.AttributeSet
import android.view.View

class CanvasPendulum @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : View(context, attrs, defStyleAttr) {


    val paint: Paint = Paint()
    lateinit var canvas: Canvas

    override fun onDraw(canvas: Canvas?) {
        super.onDraw(canvas)

        //if canvas not NULL then this canvas = it
        canvas?.let {
            this.canvas = it
        }

    }

    fun drawPendulum() {
        paint.style = Paint.Style.STROKE
        paint.strokeWidth = 10f
        canvas.drawCircle(500f, 700f, 70f, paint)
        paint.strokeWidth = 9f
        canvas.drawLine(455f,0f,500f, 630f,paint)
    }

    fun stopDrawingPendulum() {
        canvas.drawCircle(400f, 300f, 70f, paint)
    }


}












/*<view
        class="com.example.acapendulum20.canvas.CanvasView"
        android:layout_width="347dp"
        android:layout_height="440dp"
        app:layout_constraintBottom_toTopOf="@+id/activate_btn"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.139" />*/